Name:             klatexformula
Version:          3.0.1
Release:          3%{?dist}
Summary:          Application for easy image creating from a LaTeX equation
Group:            Applications/Publishing
License:          GPLv2+
URL:              http://klatexformula.sourceforge.net/
Source0:          http://downloads.sourceforge.net/klatexformula/%{name}-%{version}.tar.gz
Patch0:           klatexformula-gcc44.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    qt4-devel
BuildRequires:    desktop-file-utils
Requires:         texlive-latex
Requires:         hicolor-icon-theme

%description
This application is especially designed for generating an image
(e.g. PNG) from a LaTeX equation, this using a nice GUI. Support
for Copy-Paste, Save as image/pdf/ps and drag-and-drop is included.
The program has two modes, shrinked and expanded mode. Shrinked
mode is straightforward, and expanded mode lets you to specify
a few options. You can use KLatexFormula in command-line mode
(eg. for scripts) by invoking klatexformula_cmdl executable.
Type klatexformula_cmdl --help for more information.

%package -n libklfbackend
Summary:          Library for integration KLatexFormula functionality
Group:            System Environment/Libraries
%description -n libklfbackend
Tthis package includes the library KLFBackend to integrate
KLatexFormula functionality into your programs.

%package -n libklfbackend-devel
Summary:          Development files for libklfbackend
Group:            Development/Libraries
Requires:         libklfbackend = %{version}-%{release}
%description -n libklfbackend-devel
Development files for the libklfbackend.

%prep
%setup -q
%patch0 -p1 -b .gcc44

sed -i "s|LIBRARY_TYPE = staticlib||g" src/klfbackend/klfbackend.pro

%build
%{_qt4_qmake}
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

install -D -m 755 %{name} $RPM_BUILD_ROOT/%{_bindir}/%{name}
install -D -m 755 %{name}_cmdl $RPM_BUILD_ROOT/%{_bindir}/%{name}_cmdl
install -D -m 755 src/klfbackend/libklfbackend.so.3.0.1 $RPM_BUILD_ROOT/%{_libdir}/libklfbackend.so.3.0.1
cp -P src/klfbackend/libklfbackend.so $RPM_BUILD_ROOT/%{_libdir}/libklfbackend.so
cp -P src/klfbackend/libklfbackend.so.3 $RPM_BUILD_ROOT/%{_libdir}/libklfbackend.so.3
cp -P src/klfbackend/libklfbackend.so.3.0 $RPM_BUILD_ROOT/%{_libdir}/libklfbackend.so.3.0
install -p -D -m 644 src/klfbackend/klfbackend.h $RPM_BUILD_ROOT/%{_includedir}/klfbackend.h
install -p -D -m 644 src/klfbackend/klfblockprocess.h $RPM_BUILD_ROOT/%{_includedir}/klfblockprocess.h
install -p -D -m 644 src/hi16-app-klatexformula.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
install -p -D -m 644 src/hi32-app-klatexformula.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
install -p -D -m 644 src/hi64-app-klatexformula.png $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

desktop-file-install \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications \
    src/%{name}.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post -n libklfbackend -p /sbin/ldconfig

%postun -n libklfbackend -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}_cmdl
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/16x16/apps/%{name}.png
%{_datadir}/icons/hicolor/32x32/apps/%{name}.png
%{_datadir}/icons/hicolor/64x64/apps/%{name}.png

%files -n libklfbackend
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libklfbackend.so.*

%files -n libklfbackend-devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/libklfbackend.so
%{_includedir}/klfblockprocess.h
%{_includedir}/klfbackend.h

%changelog
* Tue May  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-3
- build with shared libraries
- fixed license tag
- libklfbackend subpackage
- fix build with GCC 4.4

* Mon May  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-2
- changed Requires to texlive-latex
- added Requires hicolor-icon-theme
- removed license tag in devel subpackage
- added Provides -static in devel subpackage

* Mon May  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-1
- Initial RPM release
